//
// RecvDlg.h - header file for the message receiving dialog
//
//  1999 Rick York
//
//@tabs=4
//
#ifdef _RECVDLG_H
#error repeated include of this file
#else
#define _RECVDLG_H
#endif


#include "Label.h"


/////////////////////////////////////////////////////////////////////////////
// CIpcRecvDlg dialog

class CIpcRecvDlg : public CDialog
{
// Construction
public:
	CIpcRecvDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CIpcRecvDlg)
	enum { IDD = IDD_RECV_DLG };
	CLabel	m_Text1;
	CLabel	m_Text2;
	CLabel	m_Text3;
	CLabel	m_Text4;
	CLabel	m_Text5;
	CLabel	m_Text6;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CIpcRecvDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// this hack is here 'cause the class wiz can't handle arrays
	CLabel *m_pLabel[MSGCMD_MAXLINES];

	//{{AFX_MSG(CIpcRecvDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

