//
//	Cprofile.h -	header for the profile handling class
//
//  1999 Rick York
//
//@tabs=4
//
#ifndef _CPROFILE_H
#define _CPROFILE_H
#else	// _CPROFILE_H
#error repeated include of this file
#endif	// _CPROFILE_H


typedef const char *	ccp;


/////////////////////////////////////////////////////////////

class CProfile
	{
	public :

		CProfile( ccp inifile );
		virtual ~CProfile();

		ccp		SetTopic( ccp topic );

		int		GetStr( ccp key, char *defstr, char *retbuf, int bufsize );
		int		PutStr( ccp key, ccp str );

		int		GetInt( ccp key, int defval );
		int		PutInt( ccp key, int value );

		int		GetRect( RECT *rect );
		int		PutRect( RECT *rect );

		void	WriteWinPlace( ccp key, PWINDOWPLACEMENT pwp );
		int		ReadWinPlace( ccp key, PWINDOWPLACEMENT pwp );

	private :
		ccp		IniFile;
		ccp		Topic;
	};


