//
// SendDlg.h : header file for the message send dialog
//
//  1999 Rick York
//
//@tabs=4

#ifdef _SENDDLG_H
#error repeated include of this file
#else
#define _SENDDLG_H
#endif


#include "ColorPickerCB.h"

typedef const char *ccp;


/////////////////////////////////////////////////////////////////////////////
// CIpcSendDlg dialog

class CIpcSendDlg : public CDialog
{
// Construction
public:
	CIpcSendDlg(CWnd* pParent = NULL);	// standard constructor

	HWND	m_hWndRecv;

	int SendIpcMsg( int cmd, int line, COLORREF fore,
					COLORREF back, ccp text );

// Dialog Data
	//{{AFX_DATA(CIpcSendDlg)
	enum { IDD = IDD_SEND_DLG };
	CColorPickerCB	m_cbFgColor;
	CColorPickerCB	m_cbBgColor;
	CEdit			m_ebText;
	CStatic			m_stLine;
	CSpinButtonCtrl	m_sbSpin;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CIpcSendDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	//{{AFX_MSG(CIpcSendDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnSend();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.


